\version "2.14.2"

\header {
    title = "Гармонический A-moll"
}

% European system (A B H C D E F G)
\include "deutsch.ly"

% Ajust size
#(set-global-staff-size 30)

global = {
  \key c \major
}

% Some magic here (for spanning string numbers)
stringNumberSpanner =
#(define-music-function (parser location StringNumber) (string?)
  #{
    \override TextSpanner #'style = #'dashed-line
    \override TextSpanner #'dash-period = #1
    \override TextSpanner #'font-size = #-5
    \override TextSpanner #'(bound-details left stencil-align-dir-y) = #CENTER
    \override TextSpanner #'(bound-details left text) = \markup { \circle \number $StringNumber }
    \override TextSpanner #'(bound-details right text) = \markup { \draw-line #'( 0 . .5) }
  #})

\score {
  \new Staff
  \relative c' {
    \stringNumberSpanner "6"
    \textSpannerDown
    a-1
    \startTextSpan
    h-3
    c-4
    \stopTextSpan
    \stringNumberSpanner "5"
    d-1
    \startTextSpan
    e-3
    f-4
    \stopTextSpan
    \stringNumberSpanner "4"
    gis-2
    \startTextSpan
    a-4
    \stopTextSpan
    \stringNumberSpanner "3"
    h-1
    \startTextSpan
    c-2
    d-4
    \stopTextSpan
    \stringNumberSpanner "2"
    e-2
    \startTextSpan
    f-3
    \stopTextSpan
    \stringNumberSpanner "1"
    gis-1
    \startTextSpan
    a-2
    \stopTextSpan
  }
  \layout{
    \context{
      \Staff
      \remove Time_signature_engraver
      \remove "Bar_number_engraver" 
      \remove Bar_engraver
   }
  }
  \midi{}

}